# PicoCalc – Open-Source Graphing Calculator

**PicoCalc** is an open-source graphing calculator powered by **Raspberry Pi RP2040**, designed and developed by **ClockworkPi**. It provides a versatile platform for learning, programming, and expanding functionality through hardware and software modifications.


![picocalc](https://github.com/clockworkpi/PicoCalc/blob/master/wiki/PicoCalc.png)


---

## 📌 Features
- **RP2040-based** graphing calculator with open-source firmware.
- **Expandable hardware** with SPI/I²C/UART for external peripherals.
- **Support for Micropython & C/C++ development** using the Raspberry Pi Pico SDK.
- **Customizable keypad & UI**, allowing users to modify functionalities.
- **USB-C powered**, with optional battery support.
- **Compatible with 3D-printed cases**, making it an ideal DIY project.

---




